import java.io.File;

class FileCreate {
	public static void main(String args[]) {
		File f0 = new File("c:\\tmpdir\\newfile.txt");

		System.out.println("File Name:" + f0.getName());
		System.out.println("Path:" + f0.getPath());
		System.out.println("Abs Path:" + f0.getAbsolutePath());
		System.out.println("Parent:" + f0.getParent());
		if (f0.exists()) {
			System.out.println("The file exists");
		} else {
			System.out.println("The file does not exist");
		}
		if (f0.canWrite()) {
			System.out.println("The file is writeable");
		} else {
			System.out.println("The file is not writeable");
		}
		if (f0.canRead()) {
			System.out.println("The file is readable");
		} else {
			System.out.println("The file is not readable");
		}
		if (f0.isFile()) {
			System.out.println("The file is a directory");
		} else {
			System.out.println("The file is a normal file");
		}
		if (f0.isAbsolute()) {
			System.out.println("The path is absolute");
		} else {
			System.out.println("The path is not absolute");
		}
		System.out.println("File last modified:" + f0.lastModified());
		System.out.println("File size:" + f0.length() + "Bytes");
	}
}



