import java.io.*;

class WordCount1 {
	public static int words=0;
	public static int lines=0;
	public static int chars=0;

	public static void wc(InputStream f) throws IOException {
		int c=0;
		PushbackInputStream pbf = new PushbackInputStream(f);
		String whiteSpace = " \t\n\r";
		while ((c = pbf.read()) != -1) {
			chars++;
			if (c == '\n') {
				lines++;
			}
			if (whiteSpace.indexOf(c) != -1) {
				c = pbf.read();
				if (whiteSpace.indexOf(c) != -1) {
					words++;
				}
				pbf.unread(c);
			}
		}
	}

	public static void main(String args[]) {
		BufferedInputStream f;
		// We're working with stdin
		try {
			if (args.length == 0) {
				FileDescriptor fd = new FileDescriptor();
				f = new BufferedInputStream(new FileInputStream(fd.in));
				wc(f);
			// We're working with a list of files
			} else {
				for (int i=0; i < args.length; i++) {
					File fobj = new File(args[i]);
					if (fobj.exists() && fobj.isFile() && ! fobj.isDirectory()) {
						f = new BufferedInputStream(new FileInputStream(fobj));
						wc(f);
					} else {
						System.out.println(args[i] + " is not a valid file.");
					}
				}
			}
		} catch (IOException e) {
			return;
		}
		System.out.println(lines + " " + words + " " + chars);
	}
}
